package com.steerinfo.route.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.route.model.TmstruckArrivalResult;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface TmstruckArrivalResultMapper extends IBaseMapper<TmstruckArrivalResult, BigDecimal> {
    //获取主键最大值
    BigDecimal selectMaxId();
    //获取抵达实绩信息
    List<Map<String, Object>> getArrivalResultInfo(Map<String, Object> map);

    //查询是否存在抵达实绩
    BigDecimal alreadyExistsArrivalResult(String orderNumber);

    String getAddressDistrict(String orderNumber);

    List<String> getAdjustment();

    int updateTown(@Param("city") String city, @Param("item") String item);

    //通过运输订单号获取总实绩Id
    BigDecimal getTotalIdByOrderNumber(String capacityNumber);
}